searchData={"content_type":"text/markdown","items":[{"doc":"Use this instead of normal `inspect`. Redacts sensitive data that we don't want in logs.","ref":"SafeInspect.html","title":"SafeInspect","type":"module"},{"doc":"","ref":"SafeInspect.html#inspect!/2","title":"SafeInspect.inspect!/2","type":"function"},{"doc":"# Safe Inspect\n\n[![Build Status](https://github.com/crewfinance/safe-inspect/actions/workflows/elixir.yml/badge.svg)](https://github.com/crewfinance/safe-inspect/actions)\n[![Version](https://img.shields.io/hexpm/v/safe_inspect.svg)](https://hex.pm/packages/safe_inspect)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/safe_inspect/readme.html)\n[![License](https://img.shields.io/badge/License-Apache-blue.svg)](https://opensource.org/license/apache-2-0)","ref":"readme.html","title":"Safe Inspect","type":"extras"},{"doc":"Add `:safe_inspect` to the list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:safe_inspect, \"~> 1.0.0\"}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - Safe Inspect","type":"extras"},{"doc":"Safely inspect in your logs by redacting sensitive data\n\n```elixir\nimport SafeInspect\n\nwith foo  \n    # No fear of accidentally logging sensitive data when using the safe `inspect!`\n    Logger.error(\"Something bad happened: #{inspect!(error)}\")\nend\n```\n\nYour logs will look something like this, depending on your config:\n\n```\n[error] Something bad happened: {:bad_user, %User{id: 123, email: :redacted, address: :redacted}}\n```","ref":"readme.html#about","title":"About - Safe Inspect","type":"extras"},{"doc":"In your `config/config.exs` add all the keys that you want to redact. Here's an example:\n\n```elixir\nconfig :safe_inspect,\n  redacted_keys: [\n    :birth_date,\n    :dob,\n    :driver_license_number,\n    :email,\n    :ethnicity,\n    :first_name,\n    :full_name,\n    :gender,\n    :ip_address,\n    :last_name,\n    :nationality,\n    :passport,\n    :passport_number,\n    :password,\n    :phone,\n    :phone_number,\n    :salary,\n    :social_security_number,\n    :ssn,\n    :username\n  ]\n```","ref":"readme.html#configuration","title":"Configuration - Safe Inspect","type":"extras"}]}